include::../description.adoc[]

== Noncompliant Code Example

----
file, err := os.Open("accounts.txt") // Noncompliant
if err != nil {
	log.Fatal(err)
}

bs, err := ioutil.ReadFile("accounts.txt") // Noncompliant
if err != nil {
	return
}
----

== Compliant Solution

----
var location string = prop.Read("myApplication.mySpecificFile")
file, err := os.Open(location)
if err != nil {
	log.Fatal(err)
}
----

include::../see.adoc[]

ifdef::env-github,rspecator-view[]
'''
== Comments And Links
(visible only on this page)

include::comments-and-links.adoc[]
endif::env-github,rspecator-view[]
